## libbpp-phyl-omics 2.1.0

=== CMakeLists.txt ===
# CMake script for Bio++ Phylo(gen)-Omics library
# Author: Sylvain Gaillard and Julien Dutheil
# Created: 30/07/2012

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(bpp-phyl-omics CXX)
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow -Wconversion")
IF(NOT NO_VIRTUAL_COV)
  SET(NO_VIRTUAL_COV FALSE CACHE BOOL
      "Disable covariant return type with virtual inheritance, for compilers that do not support it."
      FORCE)
ENDIF(NOT NO_VIRTUAL_COV)

IF(NO_VIRTUAL_COV)
  MESSAGE("-- Covariant return with virtual inheritance disabled.")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DNO_VIRTUAL_COV=1")
ENDIF(NO_VIRTUAL_COV)

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NO_DEP_CHECK)
  MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)

# Libtool-like version number
# CURRENT:REVISION:AGE => file.so.(C-A).A.R
# current:  The most recent interface number that this library implements.
# revision: The implementation number of the current interface.
# age:      The difference between the newest and oldest interfaces that this
#           library implements.
# In other words, the library implements all the interface numbers in the
# range from number current - age to current.
SET(BPPPHYLOMICS_VERSION_CURRENT "1")
SET(BPPPHYLOMICS_VERSION_REVISION "0")
SET(BPPPHYLOMICS_VERSION_AGE "0")

# Effective version number computation
math(EXPR BPPPHYLOMICS_VERSION_MAJOR "${BPPPHYLOMICS_VERSION_CURRENT} - ${BPPPHYLOMICS_VERSION_AGE}")
SET(BPPPHYLOMICS_VERSION_MINOR ${BPPPHYLOMICS_VERSION_AGE})
SET(BPPPHYLOMICS_VERSION_PATCH ${BPPPHYLOMICS_VERSION_REVISION})
SET(BPPPHYLOMICS_VERSION "${BPPPHYLOMICS_VERSION_MAJOR}.${BPPPHYLOMICS_VERSION_MINOR}.${BPPPHYLOMICS_VERSION_PATCH}")

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
IF(CMAKE_INSTALL_PREFIX)
  SET(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
ENDIF(CMAKE_INSTALL_PREFIX)

MACRO(IMPROVED_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
  #start:
  FIND_PATH(${lib_name}_INCLUDE_DIR ${include_to_find} )
  SET(${lib_name}_NAMES ${lib_name} ${lib_name}lib ${lib_name}dll)
  FIND_LIBRARY(${lib_name}_LIBRARY NAMES ${${lib_name}_NAMES} PATH_SUFFIXES lib${LIB_SUFFIX})

  IF(${lib_name}_LIBRARY)
    MESSAGE("-- Library ${lib_name} found here:")
    MESSAGE("   includes : ${${lib_name}_INCLUDE_DIR}")
    MESSAGE("   libraries: ${${lib_name}_LIBRARY}")
  ELSE(${lib_name}_LIBRARY)
    MESSAGE(FATAL_ERROR "${lib_name} required but not found.")
  ENDIF(${lib_name}_LIBRARY)
  
  #add the dependency:
  INCLUDE_DIRECTORIES(${${lib_name}_INCLUDE_DIR})
  SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_LIBRARY})
ENDMACRO(IMPROVED_FIND_LIBRARY)

#Find the Bio++ libraries:
IMPROVED_FIND_LIBRARY(LIBS bpp-core Bpp/Clonable.h)
IMPROVED_FIND_LIBRARY(LIBS bpp-seq Bpp/Seq/Alphabet/Alphabet.h)
IMPROVED_FIND_LIBRARY(LIBS bpp-seq-omics Bpp/Seq/Feature/SequenceFeature.h)
IMPROVED_FIND_LIBRARY(LIBS bpp-phyl Bpp/Phyl/Tree.h)

# Subdirectories
ADD_SUBDIRECTORY(src)

# Doxygen
FIND_PACKAGE(Doxygen)
IF (DOXYGEN_FOUND)
  ADD_CUSTOM_TARGET (apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
ENDIF (DOXYGEN_FOUND)

# Python, needed for install:
FIND_PACKAGE(PythonInterp)
FIND_PACKAGE(PythonLibs)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "libbpp-phyl-omics")
SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
SET(CPACK_PACKAGE_VERSION "2.1.0")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "1")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogen-Omics library")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL.txt")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.cmake"
 ".*\\\\.git"
 ".*\\\\.gz"
 ".*\\\\.deb"
 ".*\\\\.rpm"
 ".*\\\\.dmg"
 ".*\\\\.sh"
 ".*\\\\..*\\\\.swp"
 "src/\\\\..*"
 "src/libbpp*"
 "debian/tmp"
 "debian/libbpp.*/"
 "debian/libbpp.*\\\\.so.*"
 "debian/libbpp.*\\\\.a"
 "debian/libbpp.*\\\\.substvars"
 "debian/libbpp.*\\\\.debhelper"
 "debian/debhelper\\\\.log"
 "html"
 "PhylOmics.tag"
 "Testing"
 "build-stamp"
 "install_manifest.txt"
 "DartConfiguration.tcl"
 ${CPACK_SOURCE_IGNORE_FILES}
)
IF (MACOS)
  SET(CPACK_GENERATOR "Bundle")
ENDIF()

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
# 'clean' is not (yet) a first class target. However, we need to clean the directories before building the sources:
IF("${CMAKE_GENERATOR}" MATCHES "Make")
  ADD_CUSTOM_TARGET(make_clean
  COMMAND ${CMAKE_MAKE_PROGRAM} clean
  WORKING_DIRECTORY ${CMAKE_CURRENT_DIR}
  )
  ADD_DEPENDENCIES(dist make_clean)
ENDIF()

IF(NOT NO_DEP_CHECK)
IF (UNIX)
#This creates deb packages:
ADD_CUSTOM_TARGET(origdist COMMAND cp ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz ../${CPACK_DEBSOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(origdist dist)
ADD_CUSTOM_TARGET(deb dpkg-buildpackage -uc -us -i${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(deb origdist)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist)

ENDIF()

SET(CTEST_UPDATE_TYPE git)
SET(UPDATE_COMMAND "git")
SET(UPDATE_OPTIONS "")

#ENABLE_TESTING()
#INCLUDE(CTest)
#IF (BUILD_TESTING)
#  ADD_SUBDIRECTORY(test)
#ENDIF(BUILD_TESTING)

ENDIF(NOT NO_DEP_CHECK)

=== src/CMakeLists.txt ===
# CMake script for Bio++ Phylo(gen)-omics Library
# Author: Sylvain Gaillard and Julien Dutheil
# Created: 08/11/2012

# File list
SET(CPP_FILES
  Bpp/Seq/Io/Maf/CountDistanceEstimationMafIterator.cpp
  Bpp/Seq/Io/Maf/MaximumLikelihoodDistanceEstimationMafIterator.cpp
  Bpp/Seq/Io/Maf/DistanceBasedPhylogenyReconstructionMafIterator.cpp
  Bpp/Seq/Io/Maf/TreeManipulationMafIterators.cpp
  Bpp/Seq/Io/Maf/OutputTreeMafIterator.cpp
  Bpp/Seq/Io/Maf/CountClustersMafStatistics.cpp
  )

SET(H_FILES
  Bpp/Seq/Io/Maf/AbstractDistanceEstimationMafIterator.h
  Bpp/Seq/Io/Maf/CountDistanceEstimationMafIterator.h
  Bpp/Seq/Io/Maf/MaximumLikelihoodDistanceEstimationMafIterator.h
  Bpp/Seq/Io/Maf/AbstractPhylogenyReconstructionMafIterator.h
  Bpp/Seq/Io/Maf/DistanceBasedPhylogenyReconstructionMafIterator.h
  Bpp/Seq/Io/Maf/TreeManipulationMafIterators.h
  Bpp/Seq/Io/Maf/OutputTreeMafIterator.h
  Bpp/Seq/Io/Maf/CountClustersMafStatistics.h
  )

# Build the static lib
ADD_LIBRARY(bppphylomics-static STATIC ${CPP_FILES})
SET_TARGET_PROPERTIES(bppphylomics-static
  PROPERTIES OUTPUT_NAME bpp-phyl-omics
  CLEAN_DIRECT_OUTPUT 1
  )
TARGET_LINK_LIBRARIES(bppphylomics-static ${LIBS})

# Build the shared lib
ADD_LIBRARY(bppphylomics-shared SHARED ${CPP_FILES})
SET_TARGET_PROPERTIES(bppphylomics-shared
  PROPERTIES OUTPUT_NAME bpp-phyl-omics
  CLEAN_DIRECT_OUTPUT 1
  VERSION ${BPPPHYLOMICS_VERSION}
  SOVERSION ${BPPPHYLOMICS_VERSION_MAJOR}
  )
TARGET_LINK_LIBRARIES(bppphylomics-shared ${LIBS})

# Install libs
INSTALL(TARGETS bppphylomics-static bppphylomics-shared DESTINATION lib${LIB_SUFFIX})

# Install headers
INSTALL(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN "*.h")

INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${CMAKE_SOURCE_DIR}/genIncludes.sh ${CMAKE_PREFIX_PATH}/include/Bpp)")

=== debian/changelog ===
libbpp-phyl-omics (2.1.0-1ubuntu2) wily; urgency=medium

  * Remove hardcoded library deps.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 12 Aug 2015 09:49:31 +0100

libbpp-phyl-omics (2.1.0-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 04:41:38 +0000

libbpp-phyl-omics (2.1.0-1) unstable; urgency=low

  * Contain tools to apply phylogenetic method along a genome alignment. Only distance methods are implemented for now.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 06 Mar 2013 14:34:00 +0100

libbpp-phyl-omics (2.0.3-1) unstable; urgency=low

  * Initial release.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 06 Nov 2012 14:05:00 +0100

=== debian/control ===
Source: libbpp-phyl-omics
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  libbpp-phyl-dev (>= 2.1.0), libbpp-seq-omics-dev (>= 2.1.0)
Standards-Version: 3.9.4

Package: libbpp-phyl-omics-dev
Section: libdevel
Architecture: any
Depends: libbpp-phyl-omics1v5 (= ${binary:Version}), ${misc:Depends},
  libbpp-phyl-dev (>= 2.1.0), libbpp-seq-omics-dev (>= 2.1.0)
Description: Bio++ Phylogenetics library: genomics components.
 Contains the Bio++ sequence classes dedicated to phylogenomics.

Package: libbpp-phyl-omics1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libbpp-phyl-omics1
Replaces: libbpp-phyl-omics1
Description: Bio++ Phylogenetics library: genomics components.
 Contains the Bio++ sequence classes dedicated to phylogenomics.

## libbpp-phyl-omics 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -99,18 +99,14 @@
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 ENDIF (DOXYGEN_FOUND)
 
-# Python, needed for install:
-FIND_PACKAGE(PythonInterp)
-FIND_PACKAGE(PythonLibs)
-
 ENDIF(NO_DEP_CHECK)
 
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-phyl-omics")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.1.0")
+SET(CPACK_PACKAGE_VERSION "2.2.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "2")
 SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogen-Omics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
@@ -128,7 +124,6 @@
  ".*\\\\.deb"
  ".*\\\\.rpm"
  ".*\\\\.dmg"
- ".*\\\\.sh"
  ".*\\\\..*\\\\.swp"
  "src/\\\\..*"
  "src/libbpp*"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 SET(CPP_FILES
   Bpp/Seq/Io/Maf/CountDistanceEstimationMafIterator.cpp
   Bpp/Seq/Io/Maf/MaximumLikelihoodDistanceEstimationMafIterator.cpp
+  Bpp/Seq/Io/Maf/MaximumLikelihoodModelFitMafStatistics.cpp
   Bpp/Seq/Io/Maf/DistanceBasedPhylogenyReconstructionMafIterator.cpp
   Bpp/Seq/Io/Maf/TreeManipulationMafIterators.cpp
   Bpp/Seq/Io/Maf/OutputTreeMafIterator.cpp
@@ -16,6 +17,7 @@
   Bpp/Seq/Io/Maf/AbstractDistanceEstimationMafIterator.h
   Bpp/Seq/Io/Maf/CountDistanceEstimationMafIterator.h
   Bpp/Seq/Io/Maf/MaximumLikelihoodDistanceEstimationMafIterator.h
+  Bpp/Seq/Io/Maf/MaximumLikelihoodModelFitMafStatistics.h
   Bpp/Seq/Io/Maf/AbstractPhylogenyReconstructionMafIterator.h
   Bpp/Seq/Io/Maf/DistanceBasedPhylogenyReconstructionMafIterator.h
   Bpp/Seq/Io/Maf/TreeManipulationMafIterators.h

=== debian/changelog ===
libbpp-phyl-omics (2.2.0-2) unstable; urgency=medium

  * Add misssing Build-Depends: d-shlibs
    Closes: #822806

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 22:52:50 +0200

libbpp-phyl-omics (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging to Git
  * Better description
  * Add watch file
  * Team maintenance in Debian Med team
  * cme fix dpkg-control
  * Source package in Section: science
  * debhelper 9
  * DEP5
  * short dh rules file using d-shlibs
  * Library transition
    Closes: #791095

 -- Andreas Tille <tille@debian.org>  Sat, 23 Apr 2016 14:32:11 +0200

=== debian/control ===
Source: libbpp-phyl-omics
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               d-shlibs,
               libbpp-phyl-dev (>= 2.2.0),
               libbpp-seq-omics-dev (>= 2.2.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-phyl-omics.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-phyl-omics.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page

Package: libbpp-phyl-omics-dev
Architecture: any
Section: libdevel
Depends: libbpp-phyl-omics1v5 (= ${binary:Version}),
         ${misc:Depends},
         libbpp-phyl-dev (>= 2.2.0),
         libbpp-seq-omics-dev (>= 2.2.0)
Description: Bio++ Phylogenetics library: genomics components (development files)
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the static library and the header files of the
 Bio++ classes dedicated to genomic phylogeny.

Package: libbpp-phyl-omics1v5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libbpp-phyl-omics1
Replaces: libbpp-phyl-omics1
Description: Bio++ Phylogenetics library: genomics components
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the dynamic library of the Bio++ classes
 dedicated to genomic phylogeny.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

## When the following is set, the package does not build:
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --v5 \
		    --devunversioned \
		    --override s/libbpp-core2-dev/libbpp-core-dev/ \
		    --override s/libbpp-seq9-dev/libbpp-seq-dev/ \
		    --override s/libbpp-phyl9-dev/libbpp-phyl-dev/ \
		    --override s/libbpp-seq-omics1-dev/libbpp-seq-omics-dev/ \
		    --exclude-la \
                    --movedev debian/tmp/usr/include/* usr/include \
                    debian/tmp/usr/lib/*.so

=== debian/watch ===
version=3

http://biopp.univ-montp2.fr/Repositories/sources/ bpp-phyl-omics-(\d[\d.]+)\.tar\.gz

## libbpp-phyl-omics 2.3.1

=== CMakeLists.txt ===
# CMake script for Bio++ Phylo(gen)-Omics library
# Authors:
#   Sylvain Gaillard
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 30/07/2012

cmake_minimum_required (VERSION 2.8.11)
project (bpp-phyl-omics CXX)

# Compile options
set (CMAKE_CXX_FLAGS "-std=c++11 -Wall -Weffc++ -Wshadow -Wconversion")

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NO_DEP_CHECK)
  MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)

# Libtool-like version number
# CURRENT:REVISION:AGE => file.so.(C-A).A.R
# current:  The most recent interface number that this library implements.
# revision: The implementation number of the current interface.
# age:      The difference between the newest and oldest interfaces that this
#           library implements.
# In other words, the library implements all the interface numbers in the
# range from number current - age to current.
SET(${PROJECT_NAME}_VERSION_CURRENT "2")
SET(${PROJECT_NAME}_VERSION_REVISION "0")
SET(${PROJECT_NAME}_VERSION_AGE "0")

# Effective version number computation
math(EXPR ${PROJECT_NAME}_VERSION_MAJOR "${${PROJECT_NAME}_VERSION_CURRENT} - ${${PROJECT_NAME}_VERSION_AGE}")
SET(${PROJECT_NAME}_VERSION_MINOR ${${PROJECT_NAME}_VERSION_AGE})
SET(${PROJECT_NAME}_VERSION_PATCH ${${PROJECT_NAME}_VERSION_REVISION})
SET(${PROJECT_NAME}_VERSION "${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}.${${PROJECT_NAME}_VERSION_PATCH}")

set (PROJECT_VERSION ${${PROJECT_NAME}_VERSION})

# Find dependencies (add install directory to search)
if (CMAKE_INSTALL_PREFIX)
  set (CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
endif (CMAKE_INSTALL_PREFIX)

include (GNUInstallDirs)
find_package (bpp-seq-omics 2.0.0 REQUIRED)
find_package (bpp-phyl 11.0.0 REQUIRED)

# CMake package
set (cmake-package-location ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
include (CMakePackageConfigHelpers)
configure_package_config_file (
  package.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/package.cmake
  INSTALL_DESTINATION ${cmake-package-location}
  )
write_basic_package_version_file (
  ${CMAKE_CURRENT_BINARY_DIR}/package-version.cmake
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY SameMajorVersion
  )
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/package.cmake DESTINATION ${cmake-package-location}
  RENAME ${PROJECT_NAME}-config.cmake)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/package-version.cmake DESTINATION ${cmake-package-location}
  RENAME ${PROJECT_NAME}-config-version.cmake)

# Define the libraries
add_subdirectory (src)

# Doxygen
FIND_PACKAGE(Doxygen)
IF (DOXYGEN_FOUND)
  ADD_CUSTOM_TARGET (apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
ENDIF (DOXYGEN_FOUND)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "libbpp-phyl-omics")
SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
SET(CPACK_PACKAGE_VERSION "2.3.1")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "3")
SET(CPACK_PACKAGE_VERSION_PATCH "1")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogen-Omics library")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL.txt")
SET(CPACK_SOURCE_GENERATOR "TGZ")
# /!\ This assumes that an external build is used
SET(CPACK_SOURCE_IGNORE_FILES 
       "/build/" 
       "/\\\\.git/" 
       "/\\\\.gitignore" 
       ${CPACK_SOURCE_IGNORE_FILES}
       )

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

IF(NOT NO_DEP_CHECK)
IF (UNIX)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist)

ENDIF()
ENDIF(NOT NO_DEP_CHECK)

=== debian/changelog ===
libbpp-phyl-omics (2.3.1-5) unstable; urgency=medium

  * Rebuild with gcc-7
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 15:46:06 +0200

libbpp-phyl-omics (2.3.1-4) unstable; urgency=medium

  * removed postinst scripts

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 18 Jul 2017 09:12:58 +0200

libbpp-phyl-omics (2.3.1-3) unstable; urgency=medium

  * cmake files belong to /usr/lib/$(DEB_HOST_MULTIARCH)
  * d-shlibs (>= 0.80) contains needed override
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2017 10:19:51 +0200

libbpp-phyl-omics (2.3.1-2) unstable; urgency=medium

  * Make sure cmake files will be installed also on i386

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 08:29:09 +0200

libbpp-phyl-omics (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to github
  * debhelper 10
  * Adapt package names to soversion change
  * Hardening

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2017 23:38:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
-               d-shlibs,
-               libbpp-phyl-dev (>= 2.2.0),
-               libbpp-seq-omics-dev (>= 2.2.0)
-Standards-Version: 3.9.8
+               d-shlibs (>= 0.80),
+               libbpp-phyl-dev (>= 2.3.1),
+               libbpp-seq-omics-dev (>= 2.3.1)
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-phyl-omics.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-phyl-omics.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
@@ -17,10 +17,10 @@
 Package: libbpp-phyl-omics-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-phyl-omics1v5 (= ${binary:Version}),
+Depends: libbpp-phyl-omics2 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-phyl-dev (>= 2.2.0),
-         libbpp-seq-omics-dev (>= 2.2.0)
+         libbpp-phyl-dev (>= 2.3.1),
+         libbpp-seq-omics-dev (>= 2.3.1)
 Description: Bio++ Phylogenetics library: genomics components (development files)
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -31,13 +31,11 @@
  This package contains the static library and the header files of the
  Bio++ classes dedicated to genomic phylogeny.
 
-Package: libbpp-phyl-omics1v5
+Package: libbpp-phyl-omics2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libbpp-phyl-omics1
-Replaces: libbpp-phyl-omics1
 Description: Bio++ Phylogenetics library: genomics components
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.

## libbpp-phyl-omics 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
 #           library implements.
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
-SET(${PROJECT_NAME}_VERSION_CURRENT "2")
+SET(${PROJECT_NAME}_VERSION_CURRENT "3")
 SET(${PROJECT_NAME}_VERSION_REVISION "0")
 SET(${PROJECT_NAME}_VERSION_AGE "0")
 
@@ -53,8 +53,8 @@
 endif (CMAKE_INSTALL_PREFIX)
 
 include (GNUInstallDirs)
-find_package (bpp-seq-omics 2.0.0 REQUIRED)
-find_package (bpp-phyl 11.0.0 REQUIRED)
+find_package (bpp-seq-omics 3.0.0 REQUIRED)
+find_package (bpp-phyl 12.0.0 REQUIRED)
 
 # CMake package
 set (cmake-package-location ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
@@ -96,10 +96,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-phyl-omics")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.3.1")
+SET(CPACK_PACKAGE_VERSION "2.4.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "4")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogen-Omics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
@@ -108,6 +108,8 @@
 # /!\ This assumes that an external build is used
 SET(CPACK_SOURCE_IGNORE_FILES 
        "/build/" 
+       "/html/"
+       "/BppPhylOmics.tag" 
        "/\\\\.git/" 
        "/\\\\.gitignore" 
        ${CPACK_SOURCE_IGNORE_FILES}

=== debian/changelog ===
libbpp-phyl-omics (2.4.0-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Provide symbols file only for amd64
  
  [ Andreas Tille ]
  * Provide full license text of CeCILL license
  * Point Vcs fields to salsa.debian.org

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 08 Apr 2018 18:35:16 +0200

libbpp-phyl-omics (2.4.0-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
  * Versioned Build-Depends: d-shlibs (>= 0.82)

  [ Andreas Tille ]
  * Add symbols file

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 29 Mar 2018 14:10:42 +0200

libbpp-phyl-omics (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version

  [ Andreas Tille ]
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 07 Feb 2018 10:53:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,23 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
-               d-shlibs (>= 0.80),
-               libbpp-phyl-dev (>= 2.3.1),
-               libbpp-seq-omics-dev (>= 2.3.1)
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-phyl-omics.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-phyl-omics.git
+               d-shlibs (>= 0.82),
+               libbpp-phyl-dev (>= 2.4.0),
+               libbpp-seq-omics-dev (>= 2.4.0)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/med-team/libbpp-phyl-omics
+Vcs-Git: https://salsa.debian.org/med-team/libbpp-phyl-omics.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
 
 Package: libbpp-phyl-omics-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-phyl-omics2 (= ${binary:Version}),
+Depends: libbpp-phyl-omics3 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-phyl-dev (>= 2.3.1),
-         libbpp-seq-omics-dev (>= 2.3.1)
+         libbpp-phyl-dev (>= 2.4.0),
+         libbpp-seq-omics-dev (>= 2.4.0)
 Description: Bio++ Phylogenetics library: genomics components (development files)
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -31,11 +31,13 @@
  This package contains the static library and the header files of the
  Bio++ classes dedicated to genomic phylogeny.
 
-Package: libbpp-phyl-omics2
+Package: libbpp-phyl-omics3
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Bio++ Phylogenetics library: genomics components
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.

## libbpp-phyl-omics 2.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -96,10 +96,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-phyl-omics")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.4.0")
+SET(CPACK_PACKAGE_VERSION "2.4.1")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "4")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_PATCH "1")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogen-Omics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")

=== src/CMakeLists.txt ===
# CMake script for Bio++ Phylo(gen)-omics Library
# Authors:
#   Sylvain Gaillard
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 08/11/2012

# File list
set (CPP_FILES
  Bpp/Seq/Io/Maf/CountClustersMafStatistics.cpp
  Bpp/Seq/Io/Maf/CountDistanceEstimationMafIterator.cpp
  Bpp/Seq/Io/Maf/DistanceBasedPhylogenyReconstructionMafIterator.cpp
  Bpp/Seq/Io/Maf/MaximumLikelihoodDistanceEstimationMafIterator.cpp
  Bpp/Seq/Io/Maf/MaximumLikelihoodModelFitMafStatistics.cpp
  Bpp/Seq/Io/Maf/DistanceBasedPhylogenyReconstructionMafIterator.cpp
  Bpp/Seq/Io/Maf/TreeManipulationMafIterators.cpp
  Bpp/Seq/Io/Maf/FilterTreeMafIterator.cpp
  Bpp/Seq/Io/Maf/OutputTreeMafIterator.cpp
  Bpp/Seq/Io/Maf/OutputDistanceMatrixMafIterator.cpp
  Bpp/Seq/Io/Maf/CountClustersMafStatistics.cpp
  )

# Build the static lib
add_library (${PROJECT_NAME}-static STATIC ${CPP_FILES})
target_include_directories (${PROJECT_NAME}-static PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
  )
set_target_properties (${PROJECT_NAME}-static PROPERTIES OUTPUT_NAME ${PROJECT_NAME})
target_link_libraries (${PROJECT_NAME}-static ${BPP_LIBS_STATIC})

# Build the shared lib
add_library (${PROJECT_NAME}-shared SHARED ${CPP_FILES})
target_include_directories (${PROJECT_NAME}-shared PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
  )
set_target_properties (${PROJECT_NAME}-shared
  PROPERTIES OUTPUT_NAME ${PROJECT_NAME}
  MACOSX_RPATH 1
  VERSION ${${PROJECT_NAME}_VERSION}
  SOVERSION ${${PROJECT_NAME}_VERSION_MAJOR}
  )
target_link_libraries (${PROJECT_NAME}-shared ${BPP_LIBS_SHARED})

# Install libs and headers
install (
  TARGETS ${PROJECT_NAME}-static ${PROJECT_NAME}-shared
  EXPORT ${PROJECT_NAME}-targets
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
  )
install (
  DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/Bpp
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  FILES_MATCHING PATTERN "*.h"
  )
# Install cmake file representing targets
install (EXPORT ${PROJECT_NAME}-targets DESTINATION ${cmake-package-location})

=== debian/changelog ===
libbpp-phyl-omics (2.4.1-8) unstable; urgency=medium

  * Team upload.
  * cmake-4.patch: new: bump minimum cmake to 3.10. (Closes: #1113117)
  * d/control: remove redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.
  * d/copyright: remove the old FSF address.
  * d/*lintian-overrides: remove unused t64 override.
  * d/*lintian-overrides: add conflicts-with-version override.
  * d/s/lintian-overrides: glob d/control line number.
    This addresses mismatches due to variability in d/control file.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Fri, 26 Sep 2025 21:58:45 +0200

libbpp-phyl-omics (2.4.1-7) unstable; urgency=medium

  * Since every GCC version bump ends up in a bug caused by the need to
    update symbols files we stop providing symbols for this library
    Closes: 1075149
  * lintian-override for no-symbols-control-file
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jul 2024 18:10:01 +0200

libbpp-phyl-omics (2.4.1-6) unstable; urgency=medium

  * Team upload.
  * d/patches/unforce-cxxflags.patch: update to unhide upstream's flags;
    forward the patch to them.
  * silence a false-positive lintian error from the t64 transition.
  * d/rules: simply arch-specific symbol management.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Mar 2024 16:12:36 +0100

libbpp-phyl-omics (2.4.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062232

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 09:28:21 +0000

libbpp-phyl-omics (2.4.1-5) unstable; urgency=medium

  * Team upload.
  * d/control: use ${devlibs:Depends} for the -dev package
  * Standards-Version: 4.6.2 (routine-update)
  * d/libbpp-phyl-omics3.symbols: add a Build-Depends-Package meta-information
    field

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 13 Aug 2023 13:11:55 +0200

libbpp-phyl-omics (2.4.1-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2022 12:59:33 +0100

libbpp-phyl-omics (2.4.1-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 06:53:43 +0200

libbpp-phyl-omics (2.4.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Nov 2020 08:50:01 +0100

libbpp-phyl-omics (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
    Closes: #897781

  [ Andreas Tille ]
  * Standards-Version: 4.2.0
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Thu, 23 Aug 2018 17:55:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
-               d-shlibs (>= 0.82),
-               libbpp-phyl-dev (>= 2.4.0),
-               libbpp-seq-omics-dev (>= 2.4.0)
-Standards-Version: 4.1.3
+               d-shlibs (>= 0.106~),
+               libbpp-phyl-dev,
+               libbpp-seq-omics-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libbpp-phyl-omics
 Vcs-Git: https://salsa.debian.org/med-team/libbpp-phyl-omics.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
@@ -17,10 +17,10 @@
 Package: libbpp-phyl-omics-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-phyl-omics3 (= ${binary:Version}),
+Depends: libbpp-phyl-omics3t64 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-phyl-dev (>= 2.4.0),
-         libbpp-seq-omics-dev (>= 2.4.0)
+         ${devlibs:Depends}
+Multi-Arch: same
 Description: Bio++ Phylogenetics library: genomics components (development files)
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -31,7 +31,10 @@
  This package contains the static library and the header files of the
  Bio++ classes dedicated to genomic phylogeny.
 
-Package: libbpp-phyl-omics3
+Package: libbpp-phyl-omics3t64
+Provides: ${t64:Provides}
+Replaces: libbpp-phyl-omics3
+Conflicts: libbpp-phyl-omics3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --t64 \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
                    --movedev debian/tmp/usr/include/* usr/include \
                    --movedev debian/tmp/usr/lib/*/cmake usr/lib/$(DEB_HOST_MULTIARCH) \
                    debian/tmp/usr/lib/*/*.so

=== debian/watch ===
Version: 5

Template: Github
Owner: BioPP
Project: bpp-phyl-omics
